.TH SPLAT! 1 "10 June 2002" "KD2BD Software" "KD2BD Software"
.SH NAME
splat \- A \fBS\fPurface \fBP\fPath \fBL\fPength \fBA\fPnd \fBT\fPerrain analysis tool
.SH SYNOPSIS
splat [-t \fItransmitter_site.qth\fP]
[-r \fIreceiver_site.qth\fP]
[-c \fIcoverage_area_in_miles (float)\fP]
[-p \fIterrain_profile.ext\fP]
[-e \fIelevation_profile.ext\fP]
[-o \fItopographic_map_filename.ppm\fP]
[-b \fIcartographic_boundary_filename.dat\fP]
[-s \fIsite/city_database.dat\fP]
[-d \fIsdf_directory_path\fP]
[-n]
[-N]
.SH DESCRIPTION
\fBSPLAT!\fP is a simple, yet powerful terrain analysis tool written
for Unix and Linux-based workstations. \fBSPLAT!\fP is free software.
Redistribution and/or modification is permitted under the terms of the
GNU General Public License as published by the Free Software Foundation,
either version 2 of the License or any later version.  Adoption of
\fBSPLAT!\fP source code in proprietary or closed-source applications
is a violation of this license, and is \fIstrictly\fP forbidden. 

\fBSPLAT!\fP is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
for more details.
.SH INTRODUCTION
\fBSPLAT!\fP analyzes point-to-point terrestrial RF communication
paths as well as the service area of transmitters and repeater systems,
providing data useful to communication system designers and site engineers.
\fBSPLAT!\fP provides great circle distances, bearings, antenna elevation
angles (uptilt), depression angles (downtilt), antenna height above mean
sea level, antenna height above average terrain, bearings and distances
to known obstructions, as well as minimum antenna height requirements
needed to establish geometric line-of-sight communication paths absent
of obstructions due to terrain.  \fBSPLAT!\fP produces reports, graphs,
and highly detailed and carefully annotated topographic maps depicting
line-of-sight paths and expected coverage areas of transmitters and
repeater systems.  In situations where multiple transmitter or repeater
sites are employed, \fBSPLAT!\fP determines individual as well as mutual
areas of coverage within the network specified.
.SH INPUT FILES
\fBSPLAT!\fP is a command-line driven application, and reads input data
through files accessible through a workstation's filesystem.  Several
different types of files are used by the program.  Each has its own
format.  Some files are mandatory for successful execution of the
program, while others are optional.  Among the mandatory files are
SPLAT Data Files (SDF files) and site location files (QTH files).
Optional files include city/site location files, and cartographic
boundary files.
.SH SPLAT DATA FILES
\fBSPLAT!\fP imports topographic data in the form of SPLAT Data Files
(SDFs) that may be generated from a number of information sources.  In
the United States, SPLAT Data Files are most often derived from U.S.
Geological Survey Digital Elevation Models (DEMs) using the \fBusgs2sdf\fP
utility included with \fBSPLAT!\fP.  USGS Digital Elevation Models
compatible with this utility are available at no cost via the Internet
at: \fIhttp://edcwww.cr.usgs.gov/glis/hyper/guide/1_dgr_dem#dem7\fP.

SPLAT Data Files contain topographic elevations to the nearest meter
above mean sea level for 1-degree by 1-degree regions of the earth with
a resolution of 3-arc seconds.  SDF files can be read in either standard
format (\fI.sdf\fP) as generated by the \fBusgs2sdf\fP utility, or in
bzip2 compressed format (\fI.sdf.bz2\fP).  Since uncompressed files can
be slightly faster to load than compressed files, \fBSPLAT!\fP searches
for the needed SDF data in uncompressed format first.  If such data cannot
located, then \fBSPLAT!\fP tries to read the data in bzip2 compressed
format.  If no compressed SDF files can be found for the region requested,
\fBSPLAT!\fP assumes the region is over water or outside the United States,
and will assign an elevation of sea-level to these areas.  This feature
of \fBSPLAT!\fP makes it possible to perform path analysis not only over
land, but also between coastal areas not represented by USGS Digital
Elevation Model Data since they are void of any land masses.  However,
this behavior of \fBSPLAT!\fP underscores the importance of having all
the SDF files required for the region being analyzed if meaningful
results are to be obtained.
.SH SITE LOCATION (QTH) FILES
\fBSPLAT!\fP imports site location information of transmitter and receiver
sites analyzed by the program from ASCII files having a \fI.qth\fP extension.
QTH files contain the site's name, the site's latitude (in degrees North),
the site's longitude (in degrees West), and the site's antenna height
above ground level (AGL).  A single linefeed character separates each
field.  The antenna height is assumed to be specified in feet unless
followed by the letter \fIm\fP or the word \fImeters\fP in either upper
or lower case.  Latitude and longitude information may be expressed in
either decimal format (40.9608333) or degree, minute, second (DMS)
format (40 57 39.0).

For example, a site location file describing Edwin Armstrong's radio
tower in Alpine, New Jersey (\fIalpine.qth\fP) might read as follows:
\fC
        Alpine Tower
        40 57 39.0
        73 55 23.0
        400.0
\fR
Each transmitter and receiver site analyzed by \fBSPLAT!\fP must be
represented by its own site location (QTH) file.
.SH CITY LOCATION FILES
The names and locations of cities, tower sites, or other points of interest
may imported and be plotted on topographic maps generated by \fBSPLAT!\fP.
\fBSPLAT!\fP imports the names of cities and locations from ASCII files
containing the location's name, the location's latitude, and the location's
longitude.  Each field is separated by a comma.  Each record is separated
by a single linefeed character.  As was the case with the \fI.qth\fP
files, latitude and longitude information may be entered in either
decimal or degree, minute, second (DMS) format.

For example (\fIcities.dat\fP):
\fC
        Burlington, 40.074412, 74.854062
        Butler, 41.000950, 74.343019
        Caldwell, 40.839879, 74.276621
        Califon, 40.721236, 74.836147
        Camden, 39.938583, 75.110875
        Cape May Court House, 39.081392, 74.810071
        Cape May Point, 38.937679, 74.965657
\fR
A total of five separate city data files may be imported at a time.
There is no limit to the size of these files.  \fBSPLAT!\fP reads city
data sequentially, and plots only those locations whose positions do
not conflict with previously plotted locations.

City data files may be generated manually using any text editor,
imported from other sources, or derived from data available from the
U.S. Census Bureau using the \fBcitydecoder\fP utility included with
\fBSPLAT!\fP.  Such data is available free of charge via the Internet
at: \fIhttp://www.census.gov/geo/www/cob/bdy_files.html\fP, and must
be in ASCII format.
.SH CARTOGRAPHIC BOUNDARY DATA FILES
Cartographic boundary data may also be imported to plot the boundaries of
cities, counties, or states on topographic maps generated by \fBSPLAT!\fP.
Such data must be of the form of ARC/INFO Ungenerate (ASCII Format)
Metadata Cartographic Boundary Files, and are available from the U.S.
Census Bureau via the Internet at:
\fIhttp://www.census.gov/geo/www/cob/co2000.html#ascii\fP and
\fIhttp://www.census.gov/geo/www/cob/pl2000.html#ascii\fP.  A total of
five separate cartographic boundary files may be imported at a time.
It is not necessary to import state boundaries if county boundaries
have already been imported.
.SH PROGRAM OPERATION
\fBSPLAT!\fP is invoked via the command-line using a series of switches
and arguments.  Since \fBSPLAT!\fP is a CPU and memory intensive application,
this type of interface minimizes overhead, and also lends itself well to
scripted operations and user-defined scheduling priority (using the Unix
\fBnice\fP command).  The number and type of switches passed to \fBSPLAT!\fP
determine its mode of operation and method of output data generation.
Nearly all of \fBSPLAT!\fP's switches may be cascaded in any order on
the command line when invoking the program to include all the features
described by those switches when performing an analysis.
.SH POINT-TO-POINT ANALYSIS
\fBSPLAT!\fP may be used to perform terrain analysis between two
specified site locations.  For example:

\fCsplat -t tx_site.qth -r rx_site.qth\fR

invokes a terrain analysis between the transmitter specified
in \fItx_site.qth\fP and receiver specified in \fIrx_site.qth\fP,
writes a \fBSPLAT!\fP Obstruction Report to the current working
directory, and displays it to the console.  The report contains details
of the transmitter and receiver sites, and identifies the location of
any obstructions detected during the analysis.  If an obstruction can be
cleared by raising the receive antenna to a greater altitude, \fBSPLAT!\fP
will indicate the antenna height required for a geometric line-of-sight
path to exist between the transmitter and receiver locations specified.
If the antenna must be raised a significant amount, this determination
can take some time.

The \fI.qth\fP extensions are assumed by \fBSPLAT!\fP, and are optional
when invoking the program.  \fBSPLAT!\fP automatically reads all SPLAT
Data Files necessary to conduct the terrain analysis between the sites
specified.  By default, the location of SDF files is assumed to be in
the current working directory unless a \fI.splat_path\fP file is present
under the user's home directory.  If this file is present, it must contain
the full directory path to all the SDF files required by \fBSPLAT!\fP
to perform its analysis for the region containing the transmitter and
receiver sites specified.  The path in this file must be of the form
of a single line of ASCII text:

\fC/opt/splat/sdf/\fR

and may be generated with any text editor.  The default path specified
in the \fI$HOME/.splat_path\fP file may be overridden at any time using
the \fI-d\fP switch:

\fCsplat -t tx_site -r rx_site -d /cdrom/sdf/\fR

A graph of the terrain profile between the receiver and transmitter
locations as a function of distance from the receiver can be generated
by adding the \fI-p\fP switch:

\fCsplat -t tx_site -r rx_site -p terrain_profile.gif\fR

\fBSPLAT!\fP invokes \fBgnuplot\fP when generating graphs.  The filename
extension specified to \fBSPLAT!\fP determines the format of the graph
produced.  \fI.gif\fP will produce a 640x480 color GIF graphic file,
while \fI.ps\fP or \fI.postscript\fP will produce postscript output.
Output in formats such as PNG, Adobe Illustrator, AutoCAD dxf, LaTeX,
and several dozen other formats are available.  Please consult 
\fBgnuplot\fP, and \fBgnuplot\fP's documentation for details on
all the supported output formats.

A graph of elevations subtended by the terrain between the receiver and
transmitter as a function of distance from the receiver can be generated
by using the \fI-e\fP switch:

\fCsplat -t tx_site -r rx_site -e elevation_profile.gif\fR

The graph produced using this switch illustrates the elevation and
depression angles resulting from the terrain between the receiver's
location and the transmitter site from the perspective of the receiver's
location.  A second trace is plotted between the left side of the graph
(receiver's location) and the location of the transmitting antenna on
the right.  This trace illustrates the elevation angle required for a
line-of-sight path to exist between the receiver and transmitter
locations.  If the trace intersects the elevation profile at any point
on the graph, then this is an indication that a line-of-sight path
does not exist under the conditions given, and the obstructions can
be clearly identified on the graph at the point(s) of intersection.

A topographic map may be generated by \fBSPLAT!\fP to visualize the
path between the transmitter and receiver sites from yet another
perspective.  Topographic maps generated by \fBSPLAT!\fP display
elevations using a logarithmic grayscale, with higher elevations
represented through brighter shades of gray.  The dynamic range of
the image is scaled between the highest and lowest elevations present
in the map.  The only exception to this is sea-level, which is
represented in blue.

\fBSPLAT!\fP generated topographic maps are 24-bit TrueColor Portable
PixMap (PPM) images, and may be viewed, edited, or converted to other
graphic formats by popular image viewing applications such as \fBxv\fP,
\fBThe GIMP\fP, \fBImageMagick\fP, and \fBXPaint\fP.  PNG format is
highly recommended for lossless compressed storage of \fBSPLAT!\fP
generated topographic output files.  An excellent command-line utility
capable of converting PPM graphic files to PNG files is \fBwpng\fP,
and is available at: \fIhttp://www.libpng.org/pub/png/book/sources.html\fP.
As a last resort, PPM files may be compressed using the bzip2 utility,
and read directly by \fBThe GIMP\fP in this format.  Topographic output
is specified using the \fI-o\fP switch:

\fCsplat -t tx_site -r rx_site -o topo_map.ppm\fR

The \fI.ppm\fP extension on the output filename is assumed by
\fBSPLAT!\fP, and is optional.

In this example, \fItopo_map.ppm\fP will illustrate the locations of the
transmitter and receiver sites specified.  In addition, the great circle
path between the two sites will be drawn over locations for which an
unobstructed path exists to the transmitter at a receiving antenna
height equal to that of the receiver site (specified in \fIrx_site.qth\fP).

It may desirable to populate the topographic map with names and locations
of cities, tower sites, or other important locations.  A city file may be
passed to \fBSPLAT!\fP using the \fI-s\fP switch:

\fCsplat -t tx_site -r rx_site -s cities.dat -o topo_map\fR

Up to five separate city files may be passed to \fBSPLAT!\fP at a time.

County and state boundaries may be added to the map by specifying up
to five U.S. Census Bureau cartographic boundary files using the \fI-b\fP
switch:

\fCsplat -t tx_site -r rx_site -b co34_d00.dat -o topo_map\fR

In situations where multiple transmitter sites are in use, as many as
four site locations may be passed to \fBSPLAT!\fP at a time for analysis:

\fCsplat -t tx_site1 tx_site2 tx_site3 tx_site4 -r rx_site -p profile.gif\fR

In this example, four separate terrain profiles and obstruction reports
will be generated by \fBSPLAT!\fP.  A single topographic map can be
specified using the \fI-o\fP switch, and line-of-sight paths between
each transmitter and the receiver site indicated will be produced on
the map, each in its own color.  The path between the first transmitter
specified to the receiver will be in green, the path between the
second transmitter and the receiver will be in cyan, the path between
the third transmitter and the receiver will be in violet, and the
path between the fourth transmitter and the receiver will be in sienna. 
.SH DETERMINING REGIONAL COVERAGE
\fBSPLAT!\fP can analyze a transmitter or repeater site, or network
of sites, and predict the regional coverage for each site specified.
In this mode, \fBSPLAT!\fP can generate a topographic map displaying
the geometric line-of-sight coverage area of the sites based on the
location of each site, and the height of receive antenna wishing to
communicate with the site in question.  \fBSPLAT!\fP switches from
point-to-point analysis mode to coverage mode when the \fI-c\fP
switch is invoked as follows:

\fCsplat -t tx_site -c 30.0 -s cities.dat -b co34_d00.dat -o tx_coverage\fR

In this example, \fBSPLAT!\fP generates a topographic map called
\fItx_coverage.ppm\fP that illustrates the predicted regional coverage
of \fItx_site\fP to receiving locations having antennas 30.0 feet above
ground level (AGL).  The contents of \fIcities.dat\fP are plotted on
the map, as are the cartographic boundaries contained in the file
\fIco34_d00.dat\fP.

When invoked in coverage mode, \fBSPLAT!\fP generates a site report for
each station analyzed.  \fBSPLAT!\fP site reports contain details of
the site's geographic location, its height above mean sea level, the
antenna's height above mean sea level, the antenna's height above
average terrain, and the height of the average terrain calculated in
the directions of 0, 45, 90, 135, 180, 225, 270, and 315 degrees
azimuth.
.SH DETERMINING MULTIPLE REGIONS OF COVERAGE
\fBSPLAT!\fP can also display coverage areas for as many as four
separate transmitter sites on a common topographic map.  For example:

\fCsplat -t site1 site2 site3 site4 -c 30.0 -o network.ppm\fR

plots the regional coverage of site1, site2, site3, and site4 based
on a receive antenna located 30.0 feet above ground level, and writes
a topographic map to the file \fInetwork.ppm\fP.  In the map generated,
the coverage area of the transmitters are plotted as follows in the
colors indicated (along with their corresponding RGB values in decimal):
\fC
    site1: Green (0,255,0)
    site2: Cyan (0,255,255)
    site3: Medium Violet (147,112,219)
    site4: Sienna 1 (255,130,71)

    site1 + site2: Yellow (255,255,0)
    site1 + site3: Pink (255,192,203)
    site1 + site4: Green Yellow (173,255,47)
    site2 + site3: Orange (255,165,0)
    site2 + site4: Dark Sea Green 1 (193,255,193)
    site3 + site4: Dark Turquoise (0,206,209)

    site1 + site2 + site3: Dark Green (0,100,0)
    site1 + site2 + site4: Blanched Almond (255,235,205)
    site1 + site3 + site4: Medium Spring Green (0,250,154)
    site2 + site3 + site4: Tan (210,180,140)

    site1 + site2 + site3 + site4: Gold2 (238,201,0)
\fR
If separate \fI.qth\fP files are generated, each representing a common
site location but a different antenna height, a single topographic map
illustrating the regional coverage from as many as four separate locations
on a single tower may be generated by \fBSPLAT!\fP. 
.SH TOPOGRAPHIC MAP GENERATION
In certain situations, it may be desirable to generate a topographic map
of a region without plotting coverage areas or line-of-sight paths or
generating obstruction reports.  There are two ways of doing this with
\fBSPLAT!\fP.  If one wishes to generate a topographic map illustrating
the location of a transmitter and receiver site along with a brief
text report describing the locations and distances between the sites,
the \fI-n\fP switch should be invoked as follows:

\fCsplat -t tx_site -r rx_site -n -o topo_map.ppm\fR

If no text report is desired, then the \fI-N\fP switch is used:

\fCsplat -t tx_site -r rx_site -N -o topo_map.ppm\fR

If the \fI-o\fP switch and output filename are omitted when using
either the \fI-n\fP or \fI-N\fP switches, output is written to a
file named \fImap.ppm\fP in the current working directory by default.
.SH DETERMINATION OF ANTENNA HEIGHT ABOVE AVERAGE TERRAIN
\fBSPLAT!\fP determines antenna height above average terrain (HAAT)
according to the procedure defined by Federal Communications Commission
Part 73.313(d).  According to this definition, terrain elevations along
eight radials between 2 and 10 miles (3 and 16 kilometers) from the site
being analyzed are sampled and averaged for each 45 degrees of azimuth
starting with True North.  If one or more radials lie entirely over water,
or over land outside the United States (areas for which no USGS topography
data is available), then those radials are omitted from the calculation
of average terrain.  If part of a radial extends over a body of water or
over land outside the United States, then only that part of the radial
lying over United States land is used in the determination of average
terrain.

When performing point-to-point terrain analysis, \fBSPLAT!\fP determines
the antenna height above average terrain only if enough topographic
data has already been loaded by the program to perform the point-to-point
analysis.  In most cases, this will be true, unless the site in question
does not lie within 10 miles of the boundary of the topography data in
memory.

When performing coverage analysis, enough topography data is normally
loaded by \fBSPLAT!\fP to perform average terrain calculations.  Under
such conditions, \fBSPLAT!\fP will provide the antenna height above
average terrain as well as the average terrain above mean sea level
for azimuths of 0, 45, 90, 135, 180, 225, 270, and 315 degrees, and
include such information in the site report generated.  If one or
more of the eight radials surveyed fall over water or land outside
the United States, \fBSPLAT!\fP reports \fINo Terrain\fP for those
radial paths.
.SH SETTING THE MAXIMUM SIZE OF AN ANALYSIS REGION
\fBSPLAT!\fP reads SDF files into a series of memory "slots" as required
within the structure of the program.  Each "slot" holds one SDF file.
Each SDF file represents a one degree by one degree region of terrain.
A \fI#define MAXSLOTS\fP statement in the first several lines of
\fIsplat.c\fP sets the maximum number of "slots" available for topography
data.  It also sets the maximum size of the topographic maps generated by
\fBSPLAT!\fP.  MAXSLOTS is set to 9 by default.  If \fBSPLAT!\fP produces
a segmentation fault on start-up with this default, it is an indication
that not enough RAM and/or virtual memory (swap space) are available to
run \fBSPLAT!\fP with this number of MAXSLOTS.  In this case, MAXSLOTS
may be reduced to 4, although this will greatly limit the maximum region
\fBSPLAT!\fP will be able to analyze.  If 118 megabytes or more of total
memory (swap space plus RAM) is available, then MAXSLOTS may be increased
to 16.  This will permit operation over a 4-degree by 4-degree region,
which is sufficient for single antenna heights in excess of 10,000 feet
above mean sea level, or point-to-point distances of over 1000 miles.
.SH ADDITIONAL INFORMATION
Invoking \fBSPLAT!\fP without any arguments will display all the
command-line options available with the program, as well as a brief
summary of each.

The latest news and information regarding \fBSPLAT!\fP software is
available through the official \fBSPLAT!\fP software web page located
at: \fIhttp://www.qsl.net/kd2bd/splat.html\fP.
.SH FILES
.TP
\fC$HOME/.splat_path\fR
User-generated file containing the default path to the directory
containing the SDF data files.
.SH AUTHOR
\fBSPLAT!\fP was written and created by John A. Magliacane, KD2BD
<\fIkd2bd@amsat.org\fP>.
